"use strict";
function getDevice(){
  if(screen.width > 767){
    return "pc";
  }
  return "sp";
}

$(function(){
  var windowObj = $(window);


  /* ページトップ */
  var pagetop = $(".pagetop");
  var windowHeight = windowObj.height();
  var topWindow = windowObj.scrollTop();
  /* スクロール後に表示させる */
  pagetop.hide();
  windowObj.on("scroll", function(){
    if($(this).scrollTop() > 100){
      pagetop.fadeIn("slow");
    }else{
      pagetop.fadeOut("slow");
    }
  });
  /* クリック時スクロールアニメーション */
  pagetop.on("click", function(){
    $("body, html").animate({scrollTop: 0}, 500);
    return false;
  });

  /* スマホ用メニュボタン */
  $('.toggle').on("click", function(){
    var target_i = $(this);
    var target_gnavArea = $(this).closest('.inner').find(".gnavArea");
    if(!target_i.hasClass('open')){
      target_gnavArea.addClass('is_show');
      target_i.addClass('open');
      // target_i.removeClass('fa-bars');
      // target_i.addClass('fa-times');
    }else{
      target_gnavArea.removeClass('is_show');
      target_i.removeClass('open');
      // target_i.removeClass('fa-times');
      // target_i.addClass('fa-bars');
    }
  });
	
	
  /* #で始まるアンカーをクリックした場合に処理 */
  $('a[href^="#"]').on("click",function(){
    var speed = 1000;
    var href = $(this).attr("href");
    var target = $(href === "" ? "html" : href);
    var position = target.offset().top;
    $("body, html").animate({scrollTop:position}, speed, "swing");
    return false;
  });

  /* ヘッダー背景後出し */
$(function() {
  var $win = $(window),
      $header = $('header'),
      animationClass = 'is-animation';

  $win.on('load scroll', function() {
    var value = $(this).scrollTop();
    if ( value > 300 ) {
      $header.addClass(animationClass);
    } else {
      $header.removeClass(animationClass);
    }
  });
});

//テキストを1文字ずつフェードインさせる
$(function() {
	"use strict";
    var $allMsg = $('.mainTtl');
    var $wordList = $('.mainTtl').html().split("");
    $('.mainTtl').html("");
    $.each($wordList, function(idx, elem) {
        var newEL = $("<span/>").text(elem).css({ opacity: 0 });
        newEL.appendTo($allMsg);
        newEL.delay(idx * 200);
        newEL.animate({ opacity: 1 }, 2200);
    });
});

$(function() {
	"use strict";
    var $allMsg = $('.subTtl');
    var $wordList = $('.subTtl').html().split("");
    $('.subTtl').html("");
    $.each($wordList, function(idx, elem) {
        var newEL = $("<span/>").text(elem).css({ opacity: 0 });
        newEL.appendTo($allMsg);
        newEL.delay(idx * 200);
        newEL.animate({ opacity: 1 }, 1100);
    });
});

	
	
});

